### Namespace

# Template – 1.0

A templating library for GLib applications

Version | 3.38.0
Authors | Christian Hergert
License | LGPL-2.1-or-later
Website |
Source |

#### Build

C headers | `tmpl-glib.h`
pkg-config files | `template-glib-1.0`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Overview
- Classes Hierarchy

#### Classes

Template |
TemplateLocator | The `TmplTemplateLoader` class is used to specify how templates should be loaded. This can be used directly by your code that will compile the data streams into `TmplTemplate` instances, or by a `TmplTemplate` that is resolving includes from the `{{include "path.tmpl"}}` directive.

#### Structs

Scope |
Symbol |

#### Unions

Expr |

#### Enumerations

ExprBuiltin |
ExprType |
SymbolType |

#### Error Domains

Error |

#### Callbacks

ScopeResolver |

#### Function Macros

CHECK_VERSION | Compile-time version checking. Evaluates to `TRUE` if the version of template-glib is greater than the required one.
DEPRECATED_FOR |
DEPRECATED_IN_3_28_FOR |
DEPRECATED_IN_3_36_FOR |
ENCODE_VERSION |
GOTO |
RETURN |
TODO |
TRACE_MSG |
UNAVAILABLE |

#### Constants

ENABLE_TRACE |
LOG_LEVEL_TRACE |
MAJOR_VERSION | Template-GLibl major version component (e.g. 1 if `TMPL_VERSION` is 1.2.3).
MICRO_VERSION | Template-GLibl micro version component (e.g. 3 if `TMPL_VERSION` is 1.2.3).
MINOR_VERSION | Template-GLibl minor version component (e.g. 2 if `TMPL_VERSION` is 1.2.3).
VERSION_S | Template-GLib version, encoded as a string, useful for printing and concatenation.